add.parallelCoordinates {rflowcyt} | R Documentation

## Add a parallel coordinates line to an existing plot

### Description

This function will allow the user to add a parallel coordinates line to an existing plot. The single line can be specified with a certain scale, color, line type, and line width as well as with other `line` options.

### Usage

    add.parallelCoordinates(x, varlabpos = 1:length(x), scaled = FALSE, lty = 1, col = 1, lwd = 1, ...)

### Arguments

`x` | is a vector of variable values made for one cell/individual; the length corresponds to the number of variables on the horizontal x-axis
`varlabpos` | a vector denoting the positions on the x-axis to plot values
`scaled` | Boolean; If TRUE, then the values of x will be on a (0,1) scale; if FALSE, then the original values of x are to be plotted on the vertical axis.
`lty` | numerical value denoting the line type; see `par` for descriptions
`col` | color of the line
`lwd` | line width
`...` | other options from the `lines` function

### Value

A parallel coordinates line will be added to the exisiting plot.

### Author(s)

A.J. Rossini, J.Y. Wan

### See Also

`plot`, `par`, `lines`, `parallelCoordinates`, `ImageParCoord`

### Examples

    if (require(rfcdmin)){

    data.there<-is.element("MC.053",objects())
    if ( ( sum(data.there) != length(data.there) )){
    ## obtaining the FCS objects from VRC data
    data(MC.053min)
    }

    dataMC<-MC.053@data

    if (interactive()){
    par(mfrow=c(2,2))
    ### subset the data to the first 5 observations because it is too huge
    parallelCoordinates(dataMC[c(1:5),-6])

    ## adding in the 6-th row observation
    add.parallelCoordinates(dataMC[6,-6], col="red")

    ### the same plot is scaled to 0,1 range
    parallelCoordinates(dataMC[c(1:5),-6], scaled=TRUE)
    ## adding in the 6-th row observation
    add.parallelCoordinates(dataMC[6,-6], scaled=TRUE, col="red")

    ## positions on the horizontal x-axis
    parallelCoordinates(dataMC[c(1:5),1:4], varlabpos=c(1, 5, 8, 16))
    ## adding in the 6-th row observation
    add.parallelCoordinates(dataMC[6,1:4], varlabpos=c(1,5,8,16),
    col="red")
    }

    }

[Package rflowcyt version 1.4.0 Index]